<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yiqi.core.mapper.ClothAdjunctMapper">

    <resultMap type="ClothAdjunct" id="ClothAdjunctResult">
        <result property="id" column="id"/>
        <result property="code" column="code"/>
        <result property="name" column="name"/>
        <result property="status" column="status"/>
        <result property="delFlag" column="del_flag"/>
        <result property="createById" column="create_by_id"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateById" column="update_by_id"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
    </resultMap>

    <sql id="selectClothAdjunctVo">
        select id, code, name, status, del_flag, create_by_id, create_by, create_time, update_by_id, update_by, update_time, remark
        from cloth_adjunct
    </sql>

    <select id="selectClothAdjunctList" parameterType="ClothAdjunct" resultMap="ClothAdjunctResult">
        <include refid="selectClothAdjunctVo"/>
        <where>
            and del_flag='0'
            <if test="code != null  and code != ''">
                and code = #{code}
            </if>
            <if test="name != null  and name != ''">
                and name like concat('%', #{name}, '%')
            </if>
            <if test="status != null  and status != ''">
                and status = #{status}
            </if>
        </where>
        order by id desc
    </select>

    <select id="selectClothAdjunctById" parameterType="Long"
            resultMap="ClothAdjunctResult">
        <include refid="selectClothAdjunctVo"/>
        where id = #{id}
    </select>

    <insert id="insertClothAdjunct" parameterType="ClothAdjunct" useGeneratedKeys="true"
            keyProperty="id">
        insert into cloth_adjunct
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="code != null and code != ''">code,
            </if>
            <if test="name != null and name != ''">name,
            </if>
            <if test="status != null and status != ''">status,
            </if>
            <if test="delFlag != null">del_flag,
            </if>
            <if test="createById != null">create_by_id,
            </if>
            <if test="createBy != null">create_by,
            </if>
            <if test="createTime != null">create_time,
            </if>
            <if test="updateById != null">update_by_id,
            </if>
            <if test="updateBy != null">update_by,
            </if>
            <if test="updateTime != null">update_time,
            </if>
            <if test="remark != null">remark,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="code != null and code != ''">#{code},
            </if>
            <if test="name != null and name != ''">#{name},
            </if>
            <if test="status != null and status != ''">#{status},
            </if>
            <if test="delFlag != null">#{delFlag},
            </if>
            <if test="createById != null">#{createById},
            </if>
            <if test="createBy != null">#{createBy},
            </if>
            <if test="createTime != null">#{createTime},
            </if>
            <if test="updateById != null">#{updateById},
            </if>
            <if test="updateBy != null">#{updateBy},
            </if>
            <if test="updateTime != null">#{updateTime},
            </if>
            <if test="remark != null">#{remark},
            </if>
        </trim>
    </insert>

    <update id="updateClothAdjunct" parameterType="ClothAdjunct">
        update cloth_adjunct
        <trim prefix="SET" suffixOverrides=",">
            <if test="code != null and code != ''">code =
                #{code},
            </if>
            <if test="name != null and name != ''">name =
                #{name},
            </if>
            <if test="status != null and status != ''">status =
                #{status},
            </if>
            <if test="delFlag != null">del_flag =
                #{delFlag},
            </if>
            <if test="createById != null">create_by_id =
                #{createById},
            </if>
            <if test="createBy != null">create_by =
                #{createBy},
            </if>
            <if test="createTime != null">create_time =
                #{createTime},
            </if>
            <if test="updateById != null">update_by_id =
                #{updateById},
            </if>
            <if test="updateBy != null">update_by =
                #{updateBy},
            </if>
            <if test="updateTime != null">update_time =
                #{updateTime},
            </if>
            <if test="remark != null">remark =
                #{remark},
            </if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteClothAdjunctById" parameterType="Long">
            update cloth_adjunct set del_flag='2' where id = #{id}
        </delete>

    <delete id="deleteClothAdjunctByIds" parameterType="String">
        update cloth_adjunct set del_flag='2' where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>



</mapper>